aim4.sim

## Interface Simulator

- All Known Implementing Classes:
    AutoDriverOnlySimulator

      public interface Simulator

  An interface for simulators.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Simulator.SimStepResult` An interface denoting the result of a simulation step.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProxyVehicle(ProxyVehicleSimView vehicle)` Add the proxy vehicle to the simulator for the mixed reality experiments.
    `VehicleSimView` | `getActiveVehicle(int vin)` Get a particular active vehicle via a given VIN.
    `Set<VehicleSimView>` | `getActiveVehicles()` Get the set of all active vehicles in the simulation.
    `double` | `getAvgBitsReceivedByCompletedVehicles()` Get average number of bits received by completed vehicles.
    `double` | `getAvgBitsTransmittedByCompletedVehicles()` Get average number of bits transmitted by completed vehicles.
    `BasicMap` | `getMap()` Get the layout of the simulation.
    `int` | `getNumCompletedVehicles()` Get the number of vehicles that has reached their destinations.
    `double` | `getSimulationTime()` Get the total amount of simulation time has run.
    `Simulator.SimStepResult` | `step(double timeStep)` Move the simulator a time step forward.

- - ### Method Detail

    - #### step

          Simulator.SimStepResult step(double timeStep)

      Move the simulator a time step forward.
      Parameters:
        `timeStep` - the amount of time the simulation should run in this time step

    - #### getMap

          BasicMap getMap()

      Get the layout of the simulation.
      Returns:
        the layout of the simulation.

    - #### getSimulationTime

          double getSimulationTime()

      Get the total amount of simulation time has run.
      Returns:
        the simulation time.

    - #### getNumCompletedVehicles

          int getNumCompletedVehicles()

      Get the number of vehicles that has reached their destinations.
      Returns:
        the number of vehicles that has reached their destinations

    - #### getAvgBitsTransmittedByCompletedVehicles

          double getAvgBitsTransmittedByCompletedVehicles()

      Get average number of bits transmitted by completed vehicles.
      Returns:
        the average number of bits transmitted by completed vehicles

    - #### getAvgBitsReceivedByCompletedVehicles

          double getAvgBitsReceivedByCompletedVehicles()

      Get average number of bits received by completed vehicles.
      Returns:
        the average number of bits received by completed vehicles

    - #### getActiveVehicles

          Set<VehicleSimView> getActiveVehicles()

      Get the set of all active vehicles in the simulation.
      Returns:
        the set of all active vehicles in the simulation

    - #### getActiveVehicle

          VehicleSimView getActiveVehicle(int vin)

      Get a particular active vehicle via a given VIN.
      Parameters:
        `vin` - the VIN number of the vehicle
      Returns:
        the active vehicle

    - #### addProxyVehicle

          void addProxyVehicle(ProxyVehicleSimView vehicle)

      Add the proxy vehicle to the simulator for the mixed reality experiments.
      Parameters:
        `vehicle` - the proxy vehicle

Copyright © 2013. All rights reserved.